::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------

set ciosversion=21011
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=11-beta1
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ]

set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=2fafd7dc7cb03a050b5d2c987bc69a1b
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=12aca72867590bc400701c30253ce308
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=fa9bab7a5b569b5bb0b87ed167c123a3
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=9713e46d252bf40f1a899d6d649d79aa
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=63198f6610ddce1b0b8d9994de50103e
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=8c27848f14d22c2147a6424b2f93ca5f
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=785a689d4cddec426ef3bb8b09c35b63
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=4a7534598fd95980811b52e1971d0343
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=2bf0247f8b6df297fb186f0431f2291d
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=36cce5b27c25bd9d2d0f4cb92892a801
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=8d062a89f00014cf7a6b851cf3e31a1b
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=342140c7e96ddc6e6f4fa4a3e1a18e8a
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=78514403a799b703479056311bd623ef
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=b86b09b4a806674fee96bdaee2d14466
if /i "%wadname:~0,17%" EQU "cIOS249[60]-d2x-v" set md5=7bf37d904481bb8336e9691f3967374c
if /i "%wadname:~0,17%" EQU "cIOS250[60]-d2x-v" set md5=d2c4b83abd8633fb196c6cb9b9453e66
if /i "%wadname:~0,17%" EQU "cIOS249[70]-d2x-v" set md5=564a87258cd043d7a0be7335c490a299
if /i "%wadname:~0,17%" EQU "cIOS250[70]-d2x-v" set md5=4763e75f5cfdb27771a2eca053092a4f
if /i "%wadname:~0,17%" EQU "cIOS249[80]-d2x-v" set md5=c991a3dbba3dc9fcc7cb00a261da7bc7
if /i "%wadname:~0,17%" EQU "cIOS250[80]-d2x-v" set md5=696a99308b82eb516bba4ece778ebce5
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" set md5=402e52d71d003633a3e22c421bd07741
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\MLOAD.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

